=== debian/changelog ===
linuxlogo (6.0-0.1) unstable; urgency=medium

  * NMU: Non-Maintainer Upload
  * New Upstream release
    - Can read amount of system RAM w/o privs (closes: #839594)
    - Update debian/rules for dh13 and new release
    - Update debian/linuxlogo.docs to upstream changes
    - Forward port quilt patches, all but 3 have been upstreamed
    - Add quilt patch so po/Makefile uses DESTDIR
    - Add quilt patch to use fscanf return value
  * Bump debhelper from deprecated 9 to 13.
  * Bump to Debian Policy 4.5.1.
  * Use secure copyright file specification URI.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Repository, Repository-Browse,
    Bug-Database, Bug-Submit.
  * Update Vcs-* headers to use salsa repository.
  * Trim trailing whitespace in changelog.
  * Fix day-of-week for changelog entry 3.9b4-1.2.
  * Update watch file format version to 4.
  * Rules-Requires-Root: no
  * Add pre-dependency per lintian
  * Fix FTCBFS: Export a suitable CROSS variable (Closes: #972289),
    thanks to Helmut Grohne <helmut@subdivi.de>
  * Flush ./potmp/ stuff, backup/restore po/linux_logo.pot instead
  * Enable full hardening flags

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2021 23:53:23 +0000

linuxlogo (5.11-9) unstable; urgency=medium

  * Changed maintainer's email
  * Update copyright to 2016, added logo's Author
  * Add patch with indonesian translation (Closes: #833391)
  * Add patch with BlankOn distro logo

 -- Dariusz Dwornikowski <darek@debian.org>  Tue, 20 Sep 2016 13:08:48 +0200

linuxlogo (5.11-8.1) unstable; urgency=medium

  [ Axel Beckert ]
  * Non-maintainer upload with maintainer's permission.
  * Choose vendor-based default logo at build time:
    + On Ubuntu and derivatives, it shows the "ubuntu" logo.
    + On Raspbian and derivatives, it shows the "raspi" logo.
    + Else it shows the same Debian logo as before ("debian_banner_2").
    + Fixes LP: #1088889 and LP: #1364624.
  * Properly escape "\" in logos when being fed to getty (Closes: #819926)
  * Add patch to support arm64 aka aarch64 (Closes: #791929)
  * Fix spelling errors found by lintian in README.Debian and man page.
  * Enable bindnow hardening flags.
  * Switch Vcs-* headers to https:// and cgit.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Make nearly-DEP5-compliant debian/copyright DEP5-compliant.
  * Update packaging copyright in debian/copyright.
  * Fix build log scanner warnings by properly passing $CFLAGS and
    $CPPFLAGS through libsysinfo-0.2.2/configure.

  [ Dariusz Dwornikowski ]

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 20 Sep 2016 13:08:45 +0200
