=== debian/control ===
Source: linuxlogo
Section: misc
Priority: optional
Maintainer: Dariusz Dwornikowski <darek@debian.org>
Build-Depends: debhelper-compat (= 13), gettext
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.deater.net/weave/vmwprod/linux_logo/
Vcs-Git: https://salsa.debian.org/debian/linuxlogo.git
Vcs-Browser: https://salsa.debian.org/debian/linuxlogo

Package: linuxlogo
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Color ANSI System Logo
 A Color ANSI Logo with some system information that can be displayed at system
 boot time or, with some local configuration, at the login prompt. Four
 different Logos are available:
 .
  * Debian Swirl(default)
  * Debian Banner
  * Tux Classic and Banner
 .
 The Classic and Banner Logos are based on Larry Ewing's Penguin. Monochrome
 ASCII versions of all the logos are included.
