## linuxlogo 6.01

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	cd po && $(MAKE)
 
 logos-all:	logo_config
-	find ./logos -type f -a ! -name banner.logo -a ! -name classic.logo >> logo_config
+	find ./logos -type f -a ! -name banner.logo -a ! -name classic.logo | sort >> logo_config
 	$(MAKE) all
 
 logo_config:
@@ -59,6 +59,7 @@
 distclean: clean
 	cd $(LIBSYSINFO) && $(MAKE) distclean
 	rm -f Makefile.default logo_config
+#	rm -f po/linux_logo.pot
 
 linux_logo:	linux_logo.o load_logo.o ./$(LIBSYSINFO)/libsysinfo.a
 	$(CROSS)$(CC) $(LDFLAGS) -o linux_logo linux_logo.o load_logo.o $(LIBSYSINFO_LIBRARY) ./$(LIBSYSINFO)/libsysinfo.a
