=== libsysinfo-0.3.0/AIX/Makefile ===
clean:	
	rm -f *~ *.o
