=== libsysinfo-0.3.0/Irix/Makefile ===
include ../Makefile.default

all:	sysinfo_irix.o


sysinfo_irix.o:	      sysinfo_irix.c
		      $(CROSS)$(CC) $(CFLAGS) -c sysinfo_irix.c
		      
clean:		      
		      rm -f *~ *.o
