=== debian/changelog ===
linuxlogo (6.01-0.1) unstable; urgency=medium

  * NMU: Non-Maintainer Upload
  * Quilt patches for post-6.0 upstream changes.
  * Update standards version to 4.7.0, no changes needed.
  * Dependency on lsb-base is obsolete.
  * New upstream release
  * Patch for loong64 support (closes: #1080382)
  * Use upstream man page
  * Extend and consolidate Makefile patches
    - standard variable names
    - use DESTDIR appropriately in standard fashion
    - use $(MAKE) -C
  * Cherry-pick upstream commit for newer Intel model numbers

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 04 Jan 2025 12:43:14 +0000
