=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,14 @@
 
 execute_before_dh_install: debian/local/linux_logo.conf
 
+execute_after_dh_install: debian/linuxlogo/usr/share/man/man1/linux_logo.1
+
+debian/linuxlogo/usr/share/man/man1/linux_logo.1: linux_logo.1.gz
+	mkdir -p $(dir $@)
+	zcat $< > $@
+	sed --in-place s:infomation:information: $@
+	sed --in-place s:/usr/doc/linux_logo:/usr/share/doc/linuxlogo/: $@
+
 override_dh_auto_clean:
 	[ ! -f po/linux_logo.pot.BAK ] || cp --verbose po/linux_logo.pot.BAK po/linux_logo.pot
 	-cmp --quiet po/linux_logo.pot.BAK po/linux_logo.pot && rm --verbose -f po/linux_logo.pot.BAK
