=== debian/watch ===
version=4
http://www.deater.net/weave/vmwprod/linux_logo/ linux_logo-@ANY_VERSION@@ARCHIVE_EXT@
